### Function

# Gimp canonicalize_identifier

since: 2.4

#### Declaration [src]

    gchar*
    gimp_canonicalize_identifier (
      const gchar* identifier
    )

#### Description [src]

Turns any input string into a canonicalized string.

Canonical identifiers are e.g. expected by the PDB for procedure and parameter names. Every character of the input string that is not either ‘-‘, ‘a-z’, ‘A-Z’ or ‘0-9’ will be replaced by a ‘-‘.

Available since: 2.4

#### Parameters

`identifier`

  Type: `const gchar*`

  The identifier string to canonicalize.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The canonicalized identifier. This is a newly allocated string that should be freed with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.